## net.sf.saxon.trans
Class Rule

    java.lang.Object
      net.sf.saxon.trans.Rule

All Implemented Interfaces:
  java.io.Serializable

    public final class Rule

extends java.lang.Object
implements java.io.Serializable

Rule: a template rule, or a strip-space rule used to support the implementation

See Also:
  Serialized Form

Constructor Summary
`Rule(Pattern p, java.lang.Object o, int prec, double prio, int seq)` Create a Rule
`Rule(Rule r)` Copy a rule, including the chain of rules linked to it

Method Summary
`java.lang.Object` `getAction()`
`Rule` `getNext()`
`Pattern` `getPattern()`
`int` `getPrecedence()`
`double` `getPriority()`
`int` `getSequence()`
`void` `setNext(Rule next)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rule

    public Rule(Pattern p,
                java.lang.Object o,
                int prec,
                double prio,
                int seq)

  Create a Rule

  Parameters:
    `p` - the pattern that this rule matches
    `o` - the object invoked by this rule (usually a Template)
    `prec` - the precedence of the rule
    `prio` - the priority of the rule
    `seq` - a sequence number for ordering of rules

### Rule

    public Rule(Rule r)

  Copy a rule, including the chain of rules linked to it

  Parameters:
    `r` - the rule to be copied

Method Detail

### getSequence

    public int getSequence()

### getAction

    public java.lang.Object getAction()

### getNext

    public Rule getNext()

### setNext

    public void setNext(Rule next)

### getPattern

    public Pattern getPattern()

### getPrecedence

    public int getPrecedence()

### getPriority

    public double getPriority()

Copyright (c) Saxonica Limited. All rights reserved.